%define momorel         26
%define	emacsver	21.3
%define xemacsver	21.4
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages
%define	cvsday		20030618
%define limitver	1.14.7-24m

Summary: emiko - one of SEMI variants - for Emacsen
Name: elisp-emiko
Version: 1.14.1
Release: %{momorel}m
License: GPL
Group: Applications/Editors
Source: http://deisui.bug.org/~ueno/emacs-lisp/emiko-%{version}.tar.gz
Patch0: emiko-%{cvsday}-cvs.patch
Patch1: emiko-%{version}-widget.patch
URL: http://www.m17n.org/SEMI/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: limit-emacs >= %{limitver}, limit-xemacs >= %{limitver}
Requires: emacsen

%description
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n emiko-emacs
Group: Applications/Editors
Summary: emiko - one of SEMI variants - for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: limit-emacs >= %{limitver}
Provides: semi-emacs, emy-emacs
Obsoletes: emy-emacs

%description -n emiko-emacs
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n emiko-xemacs
Group: Applications/Editors
Summary: emiko - onf of SEMI variants - for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: limit-xemacs >= %{limitver}
Provides: semi-xemacs, emy-xemacs
Obsoletes: emy-xemacs

%description -n emiko-xemacs
SEMI is a library to provide MIME feature for GNU Emacs.

%prep
%setup -q -n emiko-%{version}
%patch0 -p1
%patch1 -p1
rm -rf %{buildroot}

%build
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu
make EMACS=emacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{e_sitedir} \
	VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu \
	install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README.en SEMI-naming.ol TODO VERSION

%files -n emiko-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/semi

%files -n emiko-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-packages/lisp/semi

%changelog
* Fri Dec  5 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.14.1-26m)
- add source

* Tue Jul  8 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.14.1-25m)
- use %%{momorel}
- rebuild against elisp-apel-10.6-2m

* Wed Jun 18 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.14.1-24m)
- rebuild against elisp-apel-10.5-1m
- Update cvs patch (emiko-20030618-cvs.patch)

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.1-23m)
- rebuild against emacs-21.3
- version up to limit 1.14.7-22m
- use %%_prefix

* Sun Jan 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.14.1-22m)
- Update cvs patch (emiko-20030112-cvs.patch)

* Wed Aug 14 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (1.14.1-21m)
- Update cvs patch (emiko-20020814-cvs.patch)

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.14.1-20k)
- rebuild against emacs-21.2

* Wed Nov  7 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.14.1-18k)
- latest cvs patch

* Mon Oct 29 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.14.1-16k)
- update required elisp-limit version

* Sat Oct 27 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.14.1-14k)
- remove Requires: apel-{emacs,xemacs} because limit-{emacs,xemacs} also
  requires it.

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.14.1-12k)
- apply widget patch (emiko-1.14.1-widget.patch) Xp

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (1.14.1-10k)
- official release (1.14.1)
- not apply widget patch because official release include

* Tue Oct 23 2001 Hidetomo Machi <machi@uranus.ailab.is.tsukuba.ac.jp>
- (1.14.1-8k)
- add widget.patch

* Tue Oct 23 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.14.1-6k)
- rebuild against emacs-21.1 and xemacs-21.4

* Mon Oct 22 2001 Toshiro HIKITA <toshi@sodan.org>
- (1.14.1-4k)
- detect emu modules in site-lisp dir
  avoid to depend %emacsver

* Mon Oct 22 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-emiko-1.14.1-2k)
- adopt emiko as Kondara's semi ;p

* Sun Dec  3 2000 Toshiro HIKITA <toshi@sodan.org>
- (1.13.9-9k)
- update cvs patch.

* Thu Nov  9 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.13.9-4k)
- Change BuildPreReq & Requires TAG

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (1.13.9-3k)
- modify specfile (LIcense)
- remove wemi-xemacs and wemy-xemacs from "Obsoletes"

* Mon Oct 16 2000 Toshiro HIKITA <toshi@sodan.org>
- (1.13.9-1k)
- Updated to 1.13.9

* Thu Aug 10 2000 Toru Hoshina <t@kondara.org>
- rebuild against xemacs 21.1.12.

* Fri Jul 21 2000 Toshiro HIKITA <toshi@sodan.org>
- Updated to 1.13.8

* Wed Jun 21 2000 Toshiro HIKITA <toshi@sodan.org>
- Updated to 1.13.7

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- modifed "BuildRoot"
- remove "PreReq: xemacs"
- add "-q" at %setup
- remove info entry

* Mon Jun 05 2000 Kenichi Matsubara <m@kondara.org>
- add PreReq: xemacs

* Mon May 22 2000 Toshiro HIKITA <toshi@sodan.org>
- Fixed typo
- Added CVS patch(merege WEMY)

* Fri May 19 2000 Toshiro HIKITA <toshi@sodan.org>
- Updated to 1.13.6

* Mon Apr 17 2000 Toshiro HIKITA <toshi@sodan.org>
- Updated for 1.13.5

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- modified spec %post
- rebuild for apel-xemacs-10.2-1k1

* Mon Feb 21 2000 Hidetomo Machi <mcHT@kondara.org>
- rebuild for apel-xemacs-10.1-1k1 flim-xemacs-1.13.2-1k2
- change package directory
- add info files and describe its entry in %{_infodir}/dir
